<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title><?php
	/*
	 * Print the <title> tag based on what is being viewed.
	 */
	global $page, $paged;

	wp_title( '|', true, 'right' );

	// Add the blog name.
	bloginfo( 'name' );

	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";

	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Page %s', 'twentyten' ), max( $paged, $page ) );

	?></title>
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="<?php bloginfo('name'); ?> Atom Feed" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<link rel="shortcut icon" href="<?php bloginfo('template_directory'); ?>/images/favicon.ico" type="image/x-icon" />
<!-- 使用url函数转换相关路径 -->
<link rel="stylesheet" type="text/css" href="<?php bloginfo('template_directory'); ?>/skin/<?php echo stripslashes(get_option('swt_alt_stylesheet')); ?>" />
<link rel="stylesheet" type="text/css" href="<?php bloginfo('template_directory'); ?>/style.css?ver=1.51" />
<?php if (get_option('swt_responsive') == 'Display') { ?>
<link rel="stylesheet" type="text/css" href="<?php bloginfo('template_directory'); ?>/mobile.css" />
<?php } else { } ?>
<!-- 通过自有函数输出HTML头部信息 -->
<?php wp_head(); ?>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/jquery.min.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/lazyload.js"></script>
<script type="text/javascript">
	jQuery(function() {          
    	jQuery("img").not(".thumb").lazyload({
        	placeholder:"<?php bloginfo('template_directory'); ?>/loading.gif",
            effect:"fadeIn"
          });
    	});
</script>
<!--[if IE 6]>  
<style>.right ul li{width:280px}
.light,ins{display:none !important;}</style>
<script src="http://letskillie6.googlecode.com/svn/trunk/letskillie6.zh_CN.pack.js"></script>  
<![endif]--> 
</head>

<body>
<div class="fuck">
<div class="head">
<h1 class="logo"><a href="<?php bloginfo('siteurl'); ?>" title="<?php bloginfo('name'); ?>"><?php bloginfo('name'); ?><span style="margin-left:10px;color:#aaa;font-size:14px;"><?php bloginfo('description'); ?></span></a></h1>
<form id="search" method="get" action="<?php bloginfo('home'); ?>">
<input type="text" name="s" class="text" size="20" x-webkit-speech="" x-webkit-grammar="builtin:search" onwebkitspeechchange="this.value = this.value.replace(this.defaultValue, '')" value="搜索框在这哦~" onfocus="this.value = (this.value == this.defaultValue) ? '' : this.value" onblur="this.value = (this.value == '') ? this.defaultValue : this.value">
      </form>
  <ul class="nav">
<?php echo str_replace("</ul></div>", "", ereg_replace("<div[^>]*><ul[^>]*>", "", wp_nav_menu(array('theme_location' => 'headmenu', 'echo' => false)) )); ?>
  </ul>
</div>
<div class="line"></div>